<?php
#   TemaTres : aplicacin para la gestin de lenguajes documentales #       #
#                                                                        #
#   Copyright (C) 2004-2008 Diego Ferreyra tematres@r020.com.ar
#   Distribuido bajo Licencia GNU Public License, versin 2 (de junio de 1.991) Free Software Foundation
#  
###############################################################################################################
# funciones de consulta SQL #

#
# Cantidad de trminos relacionados generales y por usuarios
#
function SQLcantTR($tipo,$idUser=""){
GLOBAL $DBCFG;
if($tipo=='U'){
	$clausula="where uid='$idUser'";
	};

	$sql=SQL("select","relaciones.t_relacion,count(relaciones.id) as cant
		from $DBCFG[DBprefix]tabla_rel as relaciones
		$clausula
		group by relaciones.t_relacion");
	return $sql;
};


#
# Cantidad de trminos generales y por usuarios
#
function SQLcantTerminos($tipo,$idUser=""){
GLOBAL $DBCFG;
if($tipo=='U'){
	$clausula="where tema.uid='$idUser'";
	};
$sql=SQL("select","count(tema.tema_id) as cant,count(c.tema_id) as cant_candidato,count(r.tema_id) as cant_rechazado
		from $DBCFG[DBprefix]tema as tema
		left join $DBCFG[DBprefix]tema as c on tema.tema_id=c.tema_id and c.estado_id='12'
		left join $DBCFG[DBprefix]tema as r on tema.tema_id=r.tema_id and r.estado_id='14'
		$clausula");
return $sql;
};

#
# Bsqueda de trminos hacia arriba desde un tema.
#
function SQLbucleArriba($tema_id){
GLOBAL $DBCFG;

$sql=SQL("select","rel_abajo.id_mayor as id_abajo,
	tema.tema_id as id_tema,tema.tema as Ttema,relaciones.id
	from $DBCFG[DBprefix]tabla_rel as relaciones,$DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as rel_abajo on rel_abajo.id_menor=tema.tema_id
	and rel_abajo.t_relacion='3'
	where
	relaciones.id_menor=tema.tema_id
	and relaciones.id_menor='$tema_id'
	group by id_tema
	order by tema.tema");
return $sql;
};



#
# Bsqueda de trminos hacia abajo desde un tema.
#

function SQLbucleAbajo($tema_id){
	
GLOBAL $DBCFG;

$sql=SQL("select","rel_abajo.id_menor as id_abajo,
			tema.tema_id as id_tema,tema.tema as Ttema,relaciones.id
			from $DBCFG[DBprefix]tabla_rel as relaciones,$DBCFG[DBprefix]tema as tema
			left join $DBCFG[DBprefix]tabla_rel as rel_abajo on rel_abajo.id_mayor=tema.tema_id
			and rel_abajo.t_relacion='3'
			where
			relaciones.id_menor=tema.tema_id
			and relaciones.id_mayor='$tema_id'
			group by id_tema
			order by id_abajo desc");
	return $sql;
};


#
# Buscador general segn string
#
function SQLbuscaSimple($texto){
GLOBAL $DBCFG;

$texto=trim($texto);

$texto=string2sql($texto);

$codUP=UP_acronimo;

string2sql

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and tema.estado_id='13' " : $where="";

$sql=SQL("select","if(temasPreferidos.tema_id is not null,relaciones.id_menor,tema.tema_id) id_definitivo, tema.tema,relaciones.t_relacion,temasPreferidos.tema as termino_preferido,if('$texto'=tema.tema,1,0) as rank,i.indice
from $DBCFG[DBprefix]tema as tema
left join $DBCFG[DBprefix]tabla_rel as relaciones on relaciones.id_mayor=tema.tema_id
left join $DBCFG[DBprefix]tema as temasPreferidos on temasPreferidos.tema_id=relaciones.id_menor
and tema.tema_id=relaciones.id_mayor
and relaciones.t_relacion in (4,5,6,7,8)
left join $DBCFG[DBprefix]indice i on i.tema_id=tema.tema_id
where
tema.tema like '%$texto%'
$where
group by tema.tema_id
order by rank desc,tema.tema");
return $sql;
};


function SQLbuscaExacta($texto){
GLOBAL $DBCFG;
$texto=trim($texto);
$codUP=UP_acronimo;

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and tema.estado_id='13' " : $where="";

$sql=SQL("select","if(relaciones.t_relacion=4,relaciones.id_menor,tema.tema_id) as id_definitivo,
	if(relaciones.t_relacion=4,concat(tema.tema,' ($codUP)'),tema.tema) as tema,
	relaciones.t_relacion,if(relaciones.id is null and relacionesMenor.id is null,'SI','NO') as esTerminoLibre
	from $DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as relaciones on relaciones.id_mayor=tema.tema_id
	left join $DBCFG[DBprefix]tabla_rel as relacionesMenor on relacionesMenor.id_menor=tema.tema_id
	where
	tema.tema = '$texto'
	$where
	group by tema.tema_id
	order by tema.tema,relaciones.t_relacion desc");
return $sql;
};



#
# Expande una busqueda sobre un array de id de temas
#
function SQLbuscaExpandida($array){
GLOBAL $DBCFG;
$texto=trim($texto);
$codUP=UP_acronimo;

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and tema.estado_id='13' " : $where="";

	$sql=SQL("select","if(temasPreferidos.tema_id is not null,relaciones.id_menor,tema.tema_id) id_definitivo, tema.tema,relaciones.t_relacion,temasPreferidos.tema as termino_preferido,if('$texto'=tema.tema,1,0) as rank
	from $DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as relaciones on relaciones.id_mayor=tema.tema_id
	left join $DBCFG[DBprefix]tema as temasPreferidos on temasPreferidos.tema_id=relaciones.id_menor
	and tema.tema_id=relaciones.id_mayor
	and relaciones.t_relacion in (4,5,6,7,8)
	where
	tema.tema like '%$texto%'
	$where
	group by tema.tema_id
	order by rank desc,tema.tema");

return $sql;
};



#
# ARRAY de cada trminos sin relaciones
#

function ARRAYverTerminoBasico($tema_id){

GLOBAL $DBCFG;

$sql=SQL("select","tema.tema_id as idTema,tema.tema titTema, tema.estado_id,tema.cuando_estado,tema.cuando,tema.cuando_final
	from $DBCFG[DBprefix]tema as tema
	where
	tema.tema_id='$tema_id'");
	return mysql_fetch_array($sql[datos]);
};


#
# ARRAY de datos de una nota
#

function ARRAYdatosNota($idNota){
GLOBAL $DBCFG;
$sql=SQL("select","notas.id as idNota, notas.tipo_nota,notas.nota,notas.lang_nota,
		tema.tema_id as idTema,tema.tema
		from $DBCFG[DBprefix]notas as notas,$DBCFG[DBprefix]tema as tema
		where
		notas.id_tema=tema.tema_id
		and notas.id='$idNota'");

$array=mysql_fetch_array($sql[datos]);

return $array;
};



#
# SQL de datos de notas de un trmino
#

function SQLdatosTerminoNotas($tema_id,$array_tipo_nota=""){
GLOBAL $DBCFG;


if($array_tipo_nota)
	{
	//es una array de tipos de notas
	if(is_array($array_tipo_nota))
		{
		for($i=0; $i<count($array_tipo_nota);++$i){
			$where_in.='\''.$array_tipo_nota[$i].'\',';
			};
		$where_in=substr("$where_in",0,-1);
		$where=" and notas.tipo_nota in ($where_in) ";
		}
		else
		{
		$where=" and notas.tipo_nota='$array_tipo_nota' ";
		}
	}

// (@$tipo_nota) ? $where=" and notas.tipo_nota='$tipo_nota' " : $where="";

if(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id])
	 $where.=" and notas.tipo_nota!='NP' ";

return SQL("select","notas.id as nota_id, notas.tipo_nota,notas.nota,notas.lang_nota,
		tema.tema_id as tema_id,tema.tema,tema.estado_id,tema.cuando_estado
		from $DBCFG[DBprefix]notas as notas,$DBCFG[DBprefix]tema as tema
		where
		notas.id_tema=tema.tema_id
		and tema.tema_id='$tema_id'
		$where
		order by notas.tipo_nota,notas.cuando");
};


#
# Bsqueda de trminos relacionados candidatos para un trmino segn un string
#
function SQLbuscaTR($tema_id,$string){
GLOBAL $DBCFG;

//Solo terminos aceptados == estado_id ='13'

$sql=SQL("select","if(terminosUP.id is not null,terminosUP.id_menor,tema.tema_id) as idTema,tema.tema,relaciones.id as idRel
	FROM $DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as terminosUP on terminosUP.id_mayor=tema.tema_id
	and terminosUP.t_relacion='4'
	left join $DBCFG[DBprefix]tabla_rel as relaciones on '$tema_id' in (relaciones.id_menor,relaciones.id_mayor)
	and tema.tema_id in (relaciones.id_menor,relaciones.id_mayor)
	WHERE tema.tema
	LIKE '%$string%'
	and tema.tema_id!='$tema_id'
	and tema.estado_id='13'
	and relaciones.id is null
	and terminosUP.id is null
	ORDER BY tema.tema");

return $sql;
};


#
# Datos de cada trminos con su tipificacin y notas
#

function ARRAYverDatosTermino($tema_id){
GLOBAL $DBCFG;

$sql=SQL("select","tema.tema_id as idTema,tema.tema,if(relaciones.id is null,'TT','PT') as tipo_termino,tema.cuando,tema.uid,tema.cuando_final,uid_final,
		relaciones.id_mayor,tema.estado_id,v.value_code as estado_code,tema.cuando_estado
		from $DBCFG[DBprefix]values v,$DBCFG[DBprefix]tema as tema
		left join $DBCFG[DBprefix]tabla_rel as relaciones on tema.tema_id=relaciones.id_menor
		and relaciones.t_relacion='3'
		where
		tema.tema_id='$tema_id'
		and v.value_type='t_estado'
		and v.value_id=tema.estado_id");

while($array=mysql_fetch_array($sql[datos])){
	$i=++$i;
	$arrayDatos["idTema"]=$array[idTema];
	$arrayDatos["tema_id"]=$array[idTema];
	$arrayDatos["titTema"]=$array[tema];
	$arrayDatos["descTema"]=$array[desc_tema];
	$arrayDatos["tipoTema"]=$array[tipo_termino];
	$arrayDatos["supraTema"]=$array[id_mayor];
	$arrayDatos["estado_id"]=$array[estado_id];
	$arrayDatos["estado_code"]=$array[estado_code];
	$arrayDatos["cuando_estado"]=$array[cuando_estado];
	$arrayDatos["cuando"]=$array[cuando];
	$arrayDatos["uid"]=$array[uid];
	$arrayDatos["cuando_final"]=$array[cuando_final];
	$arrayDatos["uid_final"]=$array[uid_final];
	$arrayDatos["last"]=$array[last];
	};

$arrayNotas=array();

$sqlNotas=SQLdatosTerminoNotas($tema_id);

while($array=mysql_fetch_array($sqlNotas[datos])){
	if($array[nota_id]){
		array_push($arrayNotas,array("id"=>$array[nota_id],"tipoNota"=>$array[tipo_nota],"lang_nota"=>$array[lang_nota],"nota"=>$array[nota]));
		};
	};
$arrayDatos["notas"]=$arrayNotas;
return $arrayDatos;
}


#
# BUSCADOR DE DATOS DE UN TERMINO Y SUS TERMINOS RELACIONADOS
#
function SQLverTerminoRelaciones($tema_id){

GLOBAL $DBCFG;

$sql=SQL("select","relaciones.t_relacion,BT.tema_id as id,BT.tema,tema.tema_id as id_tema,
	relaciones.id as id_relacion,c.titulo,c.autor,c.idioma
	from $DBCFG[DBprefix]config c, $DBCFG[DBprefix]tema as tema,$DBCFG[DBprefix]tabla_rel as relaciones,$DBCFG[DBprefix]tema as BT
	where
	relaciones.id_menor=tema.tema_id
	and relaciones.id_menor='$tema_id'
	and BT.tema_id=relaciones.id_mayor
	and c.id=BT.tesauro_id
	order by relaciones.t_relacion,tema");
return $sql;
};


#
# DATOS DE UN TERMINO (id y string) Y SUS TERMINOS RELACIONADOS (id) y tipo de relacion
#
function SQLTerminoRelacionesIDs($tema_id=""){
GLOBAL $DBCFG;
(@$tema_id) ? $where=" and '$tema_id' in (t1.tema_id,t2.tema_id)" : $where="";

# SQL busca terminos con relaciones TG-TE, UP-USE, TR
$sql=SQL("select","t1.tema_id as id1,t1.tema as tema1,t2.tema_id as id2,t2.tema as t2,rel.t_relacion FROM
$DBCFG[DBprefix]tema t1,$DBCFG[DBprefix]tema t2,$DBCFG[DBprefix]tabla_rel rel
where t1.tema_id=rel.id_mayor
and t2.tema_id=rel.id_menor
and rel.t_relacion in(2,3,4)
$where
group by id1,id2
order by t1.tema_id,rel.t_relacion");

return $sql;
};

#
# BUSCADOR DE TERMINOS RELACIONADOS DE UN TERMINO Y TIPOS DE TERMINOS
#
function SQLverTerminoRelacionesTipo($tema_id){

GLOBAL $DBCFG;

$sql=SQL("select","relaciones.t_relacion,BT.tema_id as id_tema,BT.tema,
	relaciones.id as id_relacion,if(tipo_term.id is null,'TT','PT') as tipo_termino
	from $DBCFG[DBprefix]tema as tema,$DBCFG[DBprefix]tabla_rel as relaciones,$DBCFG[DBprefix]tema as BT
	left join $DBCFG[DBprefix]tabla_rel as tipo_term on tipo_term.id_menor=BT.tema_id
	where
	relaciones.id_menor=tema.tema_id
	and relaciones.id_menor='$tema_id'
	and BT.tema_id=relaciones.id_mayor
	group by BT.tema_id
	order by relaciones.t_relacion");

return $sql;
};


/*
Buscador de trminos aceptados UF,TR y TG directo de tema_id == retrive accepted UF,TR and direct TG for tema_id
*/
function SQLterminosDirectos($tema_id){
	GLOBAL $DBCFG;
	//t_relacion in(2,3,4) = TR,TG,UF
	// estado_id = '13' = aceptado / accepted
	
	return SQL("select","t1.tema_id,
		t1.tema as tema,
		rel.t_relacion 
		FROM
		$DBCFG[DBprefix]tema t1,
		$DBCFG[DBprefix]tema t2,
		$DBCFG[DBprefix]tabla_rel rel
		where t1.tema_id=rel.id_mayor
		and t2.tema_id=rel.id_menor
		and rel.t_relacion in(2,3,4)
		and t2.tema_id='$tema_id'
		and t1.estado_id='13'
		and t2.estado_id='13'
		group by t1.tema_id
		order by rel.t_relacion,t1.tema");	
	};


#
# lista de trminos ACEPTADOS totales (prederidos, no preferidos y mapeados) con el tema_id del referido
#
function SQLlistaTemas($tema_id="0"){
GLOBAL $DBCFG;

//Control de estados
// (!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" where tema.estado_id='13' " : $where="";

$sql=SQL("select","tema.tema_id as id,tema.tema,tema.cuando,tema.uid,tema.cuando_final,r.t_relacion,r.id_menor as tema_id_referido
	from $DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as r on tema.tema_id = r.id_mayor
	and r.t_relacion in (4,5,6,7,8)
	where tema.estado_id='13'
	group by tema.tema_id
	order by tema.tema");
return $sql;
};



#
# TERMINOS TOPES
#
function SQLverTopTerm(){
GLOBAL $DBCFG;

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and TT.estado_id='13' " : $where="";

$sql=SQL("select","TT.tema_id as id,TT.tema
	from $DBCFG[DBprefix]tabla_rel as relaciones,$DBCFG[DBprefix]tema as TT
	left join $DBCFG[DBprefix]tabla_rel as no_menor on no_menor.id_menor=TT.tema_id
	and no_menor.t_relacion='3'
	where
	TT.tema_id=relaciones.id_mayor
	$where
	and relaciones.t_relacion='3'
	and no_menor.id is null
	group by TT.tema_id
	order by TT.tema
	");
return $sql;
};


#
# TERMINOS LIBRES
# funcion_depreciada
function SQLverTerminosLibresOLD($tema_id="0"){
GLOBAL $DBCFG;

//si hay ID
($tema_id!=='0') ? $where=" and TT.tema_id='$id'" : $where="";

$sql=SQL("select","TT.tema_id as id,TT.tema
	from $DBCFG[DBprefix]tema as TT
	left join $DBCFG[DBprefix]tabla_rel as no_menor on no_menor.id_menor=TT.tema_id
	left join $DBCFG[DBprefix]tabla_rel as no_mayor on no_mayor.id_mayor=TT.tema_id
	where
	no_menor.id is null
	and no_mayor.id is null
	$where
	order by TT.tema");
return $sql;
};


#
# TERMINOS LIBRES
#
function SQLverTerminosLibres($tema_id="0"){
GLOBAL $DBCFG;
if($tema_id!=="0"){
	$where=" and TT.tema_id='$tema_id'";
	}
$sql=SQL("select","TT.tema_id as id,TT.tema
			from $DBCFG[DBprefix]tema as TT
			left join $DBCFG[DBprefix]tabla_rel as no_menor on no_menor.id_menor=TT.tema_id
			left join $DBCFG[DBprefix]tabla_rel as no_mayor on no_mayor.id_mayor=TT.tema_id
			where
			no_menor.id is null
			and no_mayor.id is null
			$where
			order by TT.tema");
return $sql;
};



#
# Buscador de trminos iguales
#
function SQLverTerminosRepetidos(){
GLOBAL $DBCFG;
$sql=SQL("select","tema.tema,count(*) as cant
	from $DBCFG[DBprefix]tema as tema
	group by tema.tema
	having cant >1
	order by cant desc,tema.tema");
return $sql;
};


#
# BUSCADOR DE TERMINOS especficos de un trmino general
#
function SQLverTerminosE($tema_id){
GLOBAL $DBCFG;

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and tema.estado_id='13' " : $where="";

$sql=SQL("select","tema.tema_id as id_tema,tema.tema,relaciones.id as id_relacion,rel_abajo.id as id_te,relaciones.t_relacion
	from $DBCFG[DBprefix]tabla_rel as relaciones,$DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as rel_abajo on rel_abajo.id_mayor=tema.tema_id
	and rel_abajo.t_relacion='3'
	where relaciones.t_relacion='3'
	and relaciones.id_mayor='$tema_id'
	and relaciones.id_menor=tema.tema_id
	$where
	group by tema.tema_id
	order by tema.tema");
return $sql;
};


#
# Lista  de letras
#
function SQLlistaABC($letra=""){
GLOBAL $DBCFG;
//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" where tema.estado_id='13' " : $where="";

$sql=SQL("select","ucase(LEFT(tema.tema,1)) as letra_orden,
	if(LEFT(tema.tema,1)='$letra', 1,0) as letra
	from $DBCFG[DBprefix]tema as tema
	$where
	group by letra_orden
	order by letra_orden");
return $sql;
};


#
# Lista de trminos de una letra
#
function SQLmenuABC($letra){
GLOBAL $DBCFG;

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and tema.estado_id='13' " : $where="";

$sql=SQL("select","if(relaciones.id is not null,relaciones.id_menor,tema.tema_id) id_definitivo, tema.tema,relaciones.t_relacion,temasPreferidos.tema as termino_preferido
from $DBCFG[DBprefix]tema as tema
left join $DBCFG[DBprefix]tabla_rel as relaciones on relaciones.id_mayor=tema.tema_id and relaciones.t_relacion in (4,5,6,7,8)
left join $DBCFG[DBprefix]tema as temasPreferidos on temasPreferidos.tema_id=relaciones.id_menor
and tema.tema_id=relaciones.id_mayor
where
LEFT(tema.tema,1)='$letra'
$where
group by tema.tema_id
order by tema.tema");
return $sql;
};


#
# Lista de Ids de trminos vlidos y aceptados (sin UF ni trminos libres)
#
function SQLIdTerminosValidos(){
GLOBAL $DBCFG;

//Solo trmino aceptados
$where=" and tema.estado_id='13' ";

$sql=SQL("SELECT","tema.tema_id as id,tema.cuando,tema.uid,tema.cuando_final
	from $DBCFG[DBprefix]tema as tema,$DBCFG[DBprefix]tabla_rel as relaciones
	where
	tema.tema_id in (relaciones.id_menor,relaciones.id_mayor)
	and relaciones.t_relacion!='4'
	$where
	group by tema.tema_id
	order by tema.tema");
return $sql;
};


#
# Lista de trminos vlidos (sin UF ni trminos libres)
#
function SQLTerminosValidos($tema_id=""){
GLOBAL $DBCFG;

(@$tema_id) ? $where=" and tema.tema_id='$tema_id' " : $where="";

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where.=" and tema.estado_id='13' " : $where=$where;

$sql=SQL("SELECT","tema.tema_id as id,tema.tema,tema.cuando,tema.uid,tema.cuando_final
	from $DBCFG[DBprefix]tema as tema,$DBCFG[DBprefix]tabla_rel as relaciones
	where
	tema.tema_id in (relaciones.id_menor,relaciones.id_mayor)
	and relaciones.t_relacion!='4'
	$where
	group by tema.tema_id
	order by tema.tema");
return $sql;
};


#
# Lista de trminos vlidos (sin UF )
#
function SQLTerminosPreferidos($tema_id=""){
GLOBAL $DBCFG;

(@$tema_id) ? $where=" and tema.tema_id='$tema_id' " : $where="";

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where.=" and tema.estado_id='13' " : $where=$where;

$sql=SQL("SELECT","tema.tema_id as id,tema.tema,tema.cuando,tema.uid,tema.cuando_final
	from $DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as relaciones on tema.tema_id = relaciones.id_mayor
	and relaciones.t_relacion='4'
	where
	relaciones.id is null
	$where
	group by tema.tema_id
	order by tema.tema");
return $sql;
};


#
# Optimiza tablas == $tablas
#
function SQLoptimizarTablas($tablas){

GLOBAL $DBCFG;

$db = mysql_connect("$DBCFG[Server]", "$DBCFG[DBLogin]", "$DBCFG[DBPass]");

mysql_select_db("$DBCFG[DBName]",$db);

$sql=mysql_query("OPTIMIZE TABLE $tablas",$db);
return $sql;
};


#
# lista de trminos segn fechas
#
function SQLlistTermsfromDate($month,$year,$ord=""){
GLOBAL $DBCFG;

switch($ord){
	case 'F':
	$orderBy=" order by tema.cuando desc";
	break;

	case 'U':
	$orderBy=" order by usuario.APELLIDO,tema.cuando desc";
	break;

	case 'T':
	$orderBy=" order by tema.tema,tema.cuando desc";
	break;

	default:
	$orderBy=" order by tema.cuando desc";

}
	$codUP=UP_acronimo;

	$sql=SQL("select","if(relaciones.t_relacion=4,relaciones.id_menor,tema.tema_id) as id_tema,
		if(relaciones.t_relacion=4,concat(tema.tema,' ($codUP)'),tema.tema) as tema,
		tema.cuando,
		usuario.id as id_usuario,usuario.apellido,usuario.nombres,usuario.orga
		from $DBCFG[DBprefix]usuario as usuario,$DBCFG[DBprefix]tema as tema
		left join $DBCFG[DBprefix]tabla_rel as relaciones on relaciones.id_mayor=tema.tema_id
		where
		tema.uid=usuario.id
		and month(tema.cuando) ='$month'
		and year(tema.cuando) ='$year'
		group by tema.tema_id
	$orderBy");

	return $sql;
};


#
# lista de trminos recientes
#
function SQLlastTerms($limit="30"){
GLOBAL $DBCFG;
$codUP=UP_acronimo;

$sql=SQL("select","if(relaciones.t_relacion=4,relaciones.id_menor,tema.tema_id) as tema_id,
	if(relaciones.t_relacion=4,concat(tema.tema,' ($codUP)'),tema.tema) as tema,
	tema.cuando,tema.cuando_final
	from $DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as relaciones on relaciones.id_mayor=tema.tema_id
	group by tema.tema_id
	order by tema.cuando_final,tema.cuando desc
	limit $limit");

return $sql;
};



#
# lista de trminos segn estados 
#
function SQLterminosEstado($estado_id,$limite=""){
GLOBAL $DBCFG;
$codUP=UP_acronimo;

if(@$limite)
{
$limit= " limit 0,$limite";
}
	

$sql=SQL("select","if(relaciones.t_relacion=4,relaciones.id_menor,tema.tema_id) as tema_id,
	if(relaciones.t_relacion=4,concat(tema.tema,' ($codUP)'),tema.tema) as tema,
	tema.cuando,tema.cuando_final
	from $DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as relaciones on relaciones.id_mayor=tema.tema_id
	where tema.estado_id='$estado_id'
	group by tema.tema_id
	order by tema.cuando_final,tema.cuando desc
	$limit");

return $sql;
};


#
# Lista de trminos segn meses y aos
#
function SQLtermsByDate(){

GLOBAL $DBCFG;

$sql=SQL("select","year(tema.cuando) as years,month(tema.cuando) as months,tema.cuando,count(*) as cant
from $DBCFG[DBprefix]tema as tema
group by year(tema.cuando),month(tema.cuando)
order by year(tema.cuando),month(tema.cuando)");
return $sql;
};

#
# Lista de datos segn usuarios
#
function SQLdatosUsuarios($user_id=""){
GLOBAL $DBCFG;
if($id){
	$where=" where usuario.id='$user_id'";
	};
$sql=SQL("select","usuario.id,usuario.apellido,usuario.nombres,usuario.orga,usuario.mail,usuario.cuando,usuario.hasta,usuario.estado,usuario.pass,if(usuario.estado=1,'caducar','habilitar') as enlace, count(tema.tema_id) as cant_terminos
	from $DBCFG[DBprefix]usuario as usuario
	left join $DBCFG[DBprefix]tema as tema on tema.uid=usuario.id
	$where
	group by usuario.id
	order by usuario.apellido");
return $sql;
};

#
# Lista de trminos segn usuarios
#
function SQLlistTermsfromUser($id_user,$ord=""){
GLOBAL $DBCFG;
switch($ord){
	case 'F':
	$orderBy=" order by tema.cuando desc";
	break;

	case 'U':
	$orderBy=" order by usuario.APELLIDO,tema.cuando desc";
	break;

	case 'T':
	$orderBy=" order by tema.tema,tema.cuando desc";
	break;

	default:
	$orderBy=" order by tema.cuando desc";
	}
$codUP=UP_acronimo;

$sql=SQL("select","if(relaciones.t_relacion=4,relaciones.id_menor,tema.tema_id) as id_tema,
	if(relaciones.t_relacion=4,concat(tema.tema,' ($codUP)'),tema.tema) as tema,
	tema.cuando,
	usuario.id as id_usuario,usuario.apellido,usuario.nombres,usuario.orga
	from $DBCFG[DBprefix]usuario as usuario,$DBCFG[DBprefix]tema as tema
	left join $DBCFG[DBprefix]tabla_rel as relaciones on relaciones.id_mayor=tema.tema_id
	where
	tema.uid=usuario.id
	and usuario.id ='$id_user'
	group by tema.tema_id
	$orderBy");
return $sql;
}


#
# Resmen de datos del tesauro
#
function ARRAYresumen($id_tesa,$tipo,$idUser=""){

$sql_cant_rel=SQLcantTR($tipo,$idUser);
while($cant_rel=mysql_fetch_row($sql_cant_rel[datos])){
	if($cant_rel[0]=='2'){
		$cant_terminos_relacionados=$cant_rel[1];
		}elseif($cant_rel[0]=='4'){
		$cant_terminos_up=$cant_rel[1];
		};
};

$sql_cant_term=SQLcantTerminos($tipo,$idUser);

$cant_term=mysql_fetch_array($sql_cant_term[datos]);

$resumen=array("cant_rel"=>$cant_terminos_relacionados,
	"cant_up"=>$cant_terminos_up,
	"cant_total"=>$cant_term[cant],
	"cant_candidato"=>$cant_term[cant_candidato],
	"cant_rechazado"=>$cant_term[cant_rechazado]
	);
return $resumen;
};


#
# Sql que arma arbol de temas
#
function SQLarbolTema($tema_id){
GLOBAL $DBCFG;
$ARRAYtema_indice=ARRAYIndexTema($tema_id);
if($ARRAYtema_indice){
	$temas_ids=str_replace('|', ',',$ARRAYtema_indice[indice]);
	$temas_ids=substr($temas_ids,1);

	$sql=SQL("select","t.tema_id as tema_id,t.tema
		from $DBCFG[DBprefix]tema t
		where t.tema_id in ($temas_ids)
		order by FIELD(t.tema_id, $temas_ids)");
	return $sql;
	};
};



#
# SQL lista terminos que contienen en algn momento de sus arbol un tema
#
function SQLtieneTema($tema_id){
GLOBAL $DBCFG;

$sql=SQL("select","i.tema_id,i.indice from $DBCFG[DBprefix]indice i where i.indice like '%|$tema_id|%'");
return $sql;
};



#
# array de tema y el indice de su arbol
#
function ARRAYIndexTema($tema_id){
	global $DBCFG;
	$sql=SQL("select","i.tema_id,i.indice from $DBCFG[DBprefix]indice i where i.tema_id='$tema_id'");	
	return mysql_fetch_array($sql[datos]);
};





#
# sql de expansin sobre un tema (expansin hacia arriba expansio to TG)
#
function SQLexpansionTema($tema_id){
GLOBAL $DBCFG;

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and t.estado_id='13' " : $where="";

return SQL("select","t.tema_id as tema_id,t.tema,i.indice,length(i.indice) as distancia
from $DBCFG[DBprefix]indice i,$DBCFG[DBprefix]tema t
where i.indice like '%|$tema_id%'
and i.tema_id=t.tema_id
$where
order by distancia");
};


#
# sql de expansin sobre una lista de ids hacia temas relacionados (expansion to TR)
#
function SQLexpansionTR($lista_temas_id){
GLOBAL $DBCFG;
$id_TR=id_TR;

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and t.estado_id='13' " : $where="";

return SQL("select","t.tema_id as tema_id,t.tema, count(t.tema_id) as cant_rel
	from $DBCFG[DBprefix]tema t, $DBCFG[DBprefix]tabla_rel tr
	where
	tr.id_menor in ($lista_temas_id)
	and tr.id_mayor=t.tema_id
	and t.tema_id not in ($lista_temas_id)
	and tr.t_relacion='$id_TR'
	$where
	group by t.tema_id
	order by cant_rel,t.tema");
};


#
# sql de busqueda sobre una lista de ids
#
function SQLlistaTema_id($lista_temas_id){
GLOBAL $DBCFG;

//Control de estados
(!$_SESSION[$_SESSION["CFGURL"]][ssuser_id]) ? $where=" and t.estado_id='13' " : $where="";

return SQL("select","t.tema_id as tema_id,t.tema from $DBCFG[DBprefix]tema t where t.tema_id in ($lista_temas_id) $where order by t.tema");
};

#
# sql de datos de tesauro
#
function SQLdatosVocabulario($vocabulario_id=""){
GLOBAL $DBCFG;
if(@$vocabulario_id){
	$where=" where id='$vocabulario_id'";
	}
return SQL("select","id as vocabulario_id,titulo,autor,idioma,cobertura,keywords,tipo,cuando,url_base,polijerarquia from $DBCFG[DBprefix]config $where order by vocabulario_id");
};


#
# sql de datos inversos de un UF o todos los UF
#
function SQLterminosValidosUF($tema_id="0"){
GLOBAL $DBCFG;

$where=($tema_id!=="0") ? " and relaciones.id_mayor='$tema_id' " : " ";

return SQL("select","relaciones.t_relacion,t1.tema_id as tema_pref_id,t1.tema as tema_pref,t2.tema_id as tema_id, t2.tema,c.id as vocabulario_id,c.titulo,c.autor,c.idioma
from $DBCFG[DBprefix]config c, $DBCFG[DBprefix]tema as t1,$DBCFG[DBprefix]tabla_rel as relaciones,$DBCFG[DBprefix]tema as t2
where
relaciones.id_menor=t1.tema_id
$where
and t2.tema_id=relaciones.id_mayor
and c.id=t2.tesauro_id
and c.id=t1.tesauro_id
and t_relacion in ('4','5','7','8')
order by relaciones.t_relacion,tema");
};


function ARRAYdatosUser($user_id){
GLOBAL $DBCFG;
$sql=SQL("select","u.id,u.apellido,u.nombres,u.orga,u.mail,u.cuando,u.hasta,u.estado,u.pass, if(u.estado=1,'caducar','habilitar') as enlace,u.nivel from $DBCFG[DBprefix]usuario u where u.id='$user_id'");
return mysql_fetch_array($sql[datos]);
}



#
# Busca lista de trminos para evaluar similitud de una expresiona de bsqueda
#
function SQLsimiliar($texto,$lista_temas_id="0"){
GLOBAL $DBCFG;

/*
El termino a evaluar debe ser mayor o menor en no ms de 2 caracteres con respecto al texto de bsqueda
El termino a evaluar no debe estar en la lista de resultados
13 = estado aceptado
*/
$texto=trim($texto);

$maxstrlen = strlen($texto)+2;
$minstrlen = strlen($texto)-2;

//Hubo resultados de bsqueda
if(count(explode("|",$lista_temas_id))>1){

	$lista_temas_id=str_replace("|",",",$lista_temas_id);
	$lista_temas_id=substr($lista_temas_id,0,-1);
	$where = " 	and t.tema_id not in ($lista_temas_id) ";
	} else {
	$where = "";
	}



$sql=SQL("select","t.tema,length(t.tema) as largo
		from $DBCFG[DBprefix]tema as t
		where
		length(t.tema) between $minstrlen and $maxstrlen
		and t.estado_id ='13'
		$where
		order by tema,largo","1");
return $sql;
};

?>
