<?php
#   TemaTres : aplicacin para la gestin de lenguajes documentales 
#   Author for this i18n: Andreas Blumauer
#   Distribuido bajo Licencia GNU Public License, versin 2 (de junio de 1.991) Free Software Foundation
#   Version 0.96	
#  
###############################################################################################################
#
define("LANG","de");
define("TR_acronimo","RT");
define("TE_acronimo","NT");
define("TG_acronimo","BT");
define("UP_acronimo","UF");

define("TR_termino","Verwandter Begriff");
define("TE_termino","Begrenzender Begriff");
define("TG_termino","Weitere Namen");
define("UP_termino","Gebraucht fr");
/* v 9.5 */
define("USE_termino","USE");


define("MENU_ListaSis","hierarchische Liste");
define("MENU_ListaAbc","alphabetische Liste");
define("MENU_Sobre","ber...");
define("MENU_Inicio","Startseite");

define("MENU_MiCuenta","Mein Konto");
define("MENU_Usuarios","Benutzer");
define("MENU_NuevoUsuario","Neuer Benutzer");
define("MENU_DatosTesauro","Thesaurus Infos");

define("MENU_AgregarT","Begriff hinzufgen");
define("MENU_EditT","Begriff bearbeiten");
define("MENU_BorrarT","Begriff lschen");
define("MENU_AgregarTG","Begriff unterordnen");
define("MENU_AgregarTE","Unterbegriffe");
define("MENU_AgregarTR","Verwandte Begriffe");
define("MENU_AgregarUP","nicht bevorzugte Begriffe");

define("MENU_MisDatos","Mein Konto");
define("MENU_Caducar","deaktivieren");
define("MENU_Habilitar","aktivieren");
define("MENU_Salir","Abmelden");

define("LABEL_Menu","Menu");
define("LABEL_Opciones","Optionen");
define("LABEL_Admin","Administration");
define("LABEL_Agregar","Hinzufgen");
define("LABEL_editT","Begriff bearbeiten ");
define("LABEL_EditorTermino","Begriff Editor");
define("LABEL_Termino","Begriff");
define("LABEL_NotaAlcance","Anwendungsbereich Notiz");
define("LABEL_EliminarTE","Begriff lschen");

define("LABEL_AgregarT","Neuer Begriff");
define("LABEL_AgregarTG","Weiteren Begriff zu %s hinzufgen ");
define("LABEL_AgregarTE","Neuen Begriff unterordnen zu ");
define("LABEL_AgregarUP","Neuen UF Begriff fr  ");
define("LABEL_AgregarTR","Neuen RF Begriff fr  ");
define("LABEL_Detalle","Details");

define("LABEL_Autor","Autor");
define("LABEL_URI","URI");
define("LABEL_Version","Powered by");
define("LABEL_Idioma","Sprache");
define("LABEL_Fecha","Erstellungsdatum");
define("LABEL_Keywords","Schlsselwrter");
define("LABEL_TipoLenguaje","Sprachtyp");
define("LABEL_Cobertura","Anwendungsbereich");
define("LABEL_Terminos","Begriffe");
define("LABEL_RelTerminos","Beziehung zwischen den Begriffen");
define("LABEL_TerminosUP","Nicht bevorzugte Begriffe");

define("LABEL_BuscaTermino","Suchbegriff");
define("LABEL_Buscar","Suchen");
define("LABEL_Enviar","Senden");
define("LABEL_Cambiar","Aktualisieren");
define("LABEL_Anterior","Zurck");
define("LABEL_AdminUser","Administratoren");
define("LABEL_DatosUser","Benutzer");
define("LABEL_Acciones","Aufgaben");
define("LABEL_verEsquema","Schemata anzeigen");
define("LABEL_actualizar","Aktualisieren");
define("LABEL_terminosLibres","Freie Begriffe");
define("LABEL_busqueda","Suchen");
define("LABEL_borraRelacion","Beziehung lschen");
define("MSG_ResultBusca","Begriffe fr Suchbegriff gefunden ");
define("MSG_ResultLetra","Buchstabe");
define("MSG_ResultCambios","erfolgreich gendert");
define("MSG_noUser","<p>Benutzer nicht registriert</p>");
define("FORM_JS_check","Bitte berprfen sie die Daten von ");
define("FORM_JS_confirm","Diese Beziehung lschen?");
define("FORM_JS_pass","_pass");
define("FORM_JS_confirmPass","_confirm_pass");
define("FORM_LABEL_termino","_term");
define("FORM_LABEL_buscar","_search_expresion");
define("FORM_LABEL_buscarTermino","_term_related");
define("FORM_LABEL_nombre","_name");
define("FORM_LABEL_apellido","_surname");
define("FORM_LABEL_mail","_mail");
define("FORM_LABEL_pass","_pass");
define("FORM_LABEL_repass","_confirm_pass");
define("FORM_LABEL_orga","orga");
define("LABEL_nombre","Name");
define("LABEL_apellido","Vorname");
define("LABEL_mail","eMail");
define("LABEL_pass","Passwort");
define("LABEL_repass","Passwort besttigen");
define("LABEL_orga","Organisation");

define("LABEL_lcConfig","Thesaurus Einstellungen");
define("LABEL_lcDatos","Thesaurus Metadaten");
define("LABEL_Titulo","Titel");
define("FORM_LABEL_Titulo","_title");
define("FORM_LABEL_Autor","_author");
define("FORM_LABEL_URI","_URI");
define("FORM_LABEL_Idioma","language");
define("FORM_LABEL_FechaDia","day");
define("FORM_LABEL_FechaMes","month");
define("FORM_LABEL_FechaAno","year");
define("FORM_LABEL_Keywords","Schlsselworter");
define("FORM_LABEL_TipoLenguaje","language_type");
define("FORM_LABEL_Cobertura","Anwendungsbereich");
define("FORM_LABEL_Terminos","Begriffe");
define("FORM_LABEL_RelTerminos","Beziehung zwischen Begriffen");
define("FORM_LABEL_TerminosUP","Nicht bevorzugte Begriffe");
define("FORM_LABEL_Guardar","Speichern");
define("LABEL_verDetalle","Beachten Sie die Details von ");
define("LABEL_verTerminosLetra","Beachten Sie abgeleitete Begriffe mit ");

define("LABEL_NB","Bibliografische Notiz");
define("LABEL_NH","Historische Notiz");
define("LABEL_NA","Anwendungsbereich Notiz");   /* version 0.9.1 */
define("LABEL_NP","Private note"); /* version 0.9.2 */


define("LABEL_EditorNota","Notizen Editor ");
define("LABEL_EditorNotaTermino","Notiz fr ");
define("LABEL_tipoNota","Notiztyp");
define("FORM_LABEL_tipoNota","note_type");
define("LABEL_nota","Notiz");
define("FORM_LABEL_nota","_note");
define("LABEL_EditarNota","Notiz bearbeiten");
define("LABEL_EliminarNota","Notiz lschen");

define("LABEL_OptimizarTablas","Tabellen optimieren");
define("LABEL_TotalZthesLine","Kompletter Thesaurus auf Zthes");


/* v 9.2 */
define("LABEL_negrita","fett");
define("LABEL_italica","italic");
define("LABEL_subrayado","unterstreichun");
define("LABEL_textarea","body notes");
define("MSGL_relacionIlegal","Relation Ilegal zwischen Begriffe");


/* v 9.3 */
define("LABEL_fecha_modificacion","modified");
define("LABEL_TotalUsuarios","total users");
define("LABEL_TotalTerminos","total terms");
define("LABEL_ordenar","order by");
define("LABEL_auditoria","terms audit");
define("LABEL_dia","day");
define("LABEL_mes","month");
define("LABEL_ano","year");
define("LABEL_terminosRepetidos","duplicates terms");
define("MSG_noTerminosLibres","there are no free terms");
define("MSG_noTerminosRepetidos","there are no duplicates terms");
define("LABEL_TotalSkosLine","Kompletter Thesaurus auf Skos-core");

$MONTHS=array("01"=>Jan,
              "02"=>Feb,
              "03"=>Mr,
              "04"=>Apr,
              "05"=>Mai,
              "06"=>Jun,
              "07"=>Jul,
              "08"=>Aug,
              "09"=>Sep,
              "10"=>Okt,
              "11"=>Nov,
              "12"=>Dez
              );

/* v 9.4 */
define("LABEL_SI","YES");
define("LABEL_NO","NO");
define("FORM_LABEL_jeraquico","polihierarchical");
define("LABEL_jeraquico","Polihierarchical");
define("LABEL_terminoLibre","free term");


/* v 9.5 */
define("LABEL_URL_busqueda","Suchen %s auf: ");

/* v 9.6 */
define("LABEL_relacion_vocabulario","relacin con otro vocabulario");
define("FORM_LABEL_relacion_vocabulario","equivalence");
define("FORM_LABEL_nombre_vocabulario","target vocabulary");
define("LABEL_vocabulario_referencia","target vocabulary");
define("LABEL_NO_vocabulario_referencia","there are no target vocabulary to make terminology relation");
define("FORM_LABEL_tipo_equivalencia","equivalence type");
define("LABEL_vocabulario_principal","vocabulary");
define("LABEL_tipo_vocabulario","type");

define("LABEL_termino_equivalente","equivalent");
define("LABEL_termino_parcial_equivalente","partial equivalent");
define("LABEL_termino_no_equivalente","not equivalent");

define("EQ_acronimo","EQ");
define("EQP_acronimo","EQP");
define("NEQ_acronimo","NEQ");
define("LABEL_NC","Cataloger's note");

define("LABEL_resultados_suplementarios","supplemental results");
define("LABEL_resultados_relacionados","related results");

/* v 9.7 */
define("LABEL_export","export");
define("FORM_LABEL_format_export","select XML schema");



/* v 1.0 */
define("LABEL_fecha_creacion","created");
define("NB_acronimo","BN");
define("NH_acronimo","HN");
define("NA_acronimo","SN");
define("NP_acronimo","PN");
define("NC_acronimo","CN");

define("LABEL_Candidato","candidate term");
define("LABEL_Aceptado","accepted term");
define("LABEL_Rechazado","rejected term");
define("LABEL_Ultimos_aceptados","last accepted terms");
define("MSG_ERROR_ESTADO","ilegal status");

define("LABEL_Candidatos","candidate terms");
define("LABEL_Aceptados","accepted terms");
define("LABEL_Rechazados","rejected terms");

define("LABEL_User_NoHabilitado","disable");
define("LABEL_User_Habilitado","enable");

// define("LABEL_CandidatearTermino","Candidatear trmino");
define("LABEL_CandidatearTermino","candidate term");
define("LABEL_AceptarTermino","accept term");
define("LABEL_RechazarTermino","reject term");


/* v 1.01 */
define("LABEL_TERMINO_SUGERIDO","meinten Sie:");

/* v 1.02 */
define("LABEL_esSuperUsuario","is admin");
define("LABEL_Cancelar","cancel");
define("LABEL_Guardar","save");
?>
