<?php
#   TemaTres : aplicacin para la gestin de lenguajes documentales #       #
#                                                                        #
#   Copyright (C) 2004-2008 Diego Ferreyra tematres@r020.com.ar
#   Distribuido bajo Licencia GNU Public License, versin 2 (de junio de 1.991) Free Software Foundation
#  
###############################################################################################################
#

include("include/fun.gral.php");?>
<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo LANG;?>">
  <head>
  <?php echo do_meta_tag(); ?>
  <meta content="text/css" />
		<style type="text/css" media="screen">
			@import "css/marron.css";
			@import "css/forms.css";
			@import "css/breadCrumb1.css";
			@import "css/tables.css";
 		</style>

		<style type="text/css" media="print">
			@import "css/print.css";
 		</style>

		<style type="text/css" media="handheld">
			@import "css/mobile.css";
 		</style>
<script  type="text/javascript" src="js.php" ></script>
  </head>

  <body>
    <div id="arriba"></div>
    <div id="top"></div>

    <!-- ###### Header ###### -->
    <form method="post" action="index.php" onsubmit="return checkrequired(this)">
    <div id="header">
      <h1><a href="index.php" title="<?php echo $_SESSION[CFGTitulo].': '.MENU_ListaSis;?> "><?php echo $_SESSION[CFGTitulo];?></a></h1>
      <div class="headerLinks">
        <input type="text" name="<?php echo FORM_LABEL_buscar;?>" size="20" />
        <input class="enlace" type="submit" value="<?php echo LABEL_Buscar ?>" />
      </div>
    </div>
    </form>
    <!-- ###### menu izq ###### -->

    <?php include('include/inc.topmenu.php');
    $resumen=ARRAYresumen($_SESSION[id_tesa],"G","");
    $fecha_crea=do_fecha($_SESSION[CFGCreacion]);
    ?>
<div id="bodyText">
     <h1><?php echo $_SESSION[CFGTitulo];?> / <?php echo $_SESSION[CFGAutor];?></h1>
        <dl id="sumario">
        <dt><?php echo ucfirst(LABEL_URI);?></dt><dd><?php echo $_SESSION[CFGURL];?> </dd>
        <dt><?php echo ucfirst(LABEL_Idioma);?></dt><dd><?php echo $_SESSION[CFGIdioma];?></dd>
        <dt><?php echo ucfirst(LABEL_Fecha);?></dt><dd><?php echo $fecha_crea[dia].'/'.$fecha_crea[mes].'/'.$fecha_crea[ano];?></dd>
        <dt><?php echo ucfirst(LABEL_Keywords);?></dt><dd><?php echo $_SESSION[CFGKeywords];?></dd>
        <dt><?php echo ucfirst(LABEL_TipoLenguaje);?></dt><dd><?php echo $_SESSION[CFGTipo];?></dd>
        <dt><?php echo ucfirst(LABEL_Cobertura);?></dt><dd><?php echo $_SESSION[CFGCobertura];?></dd>
        <dt><?php echo ucfirst(LABEL_Terminos);?></dt><dd><?php echo $resumen[cant_total];?> <ul>
	<?php
	if($resumen[cant_candidato]>0){
		echo '<li><a href="index.php?estado_id=12">'.ucfirst(LABEL_Candidato).': '.$resumen[cant_candidato].'</a></li>';
		}

	if($resumen[cant_rechazado]>0){
		echo '<li><a href="index.php?estado_id=14">'.ucfirst(LABEL_Rechazado).': '.$resumen[cant_rechazado].'</a></li>';
		}
	?>
	</ul></dd>
        <dt><?php echo ucfirst(LABEL_RelTerminos);?></dt><dd><?php echo $resumen[cant_rel];?></dd>
        <dt><?php echo ucfirst(LABEL_TerminosUP);?></dt><dd><?php echo $resumen[cant_up];?></dd>
	</dl>
	<?php

	if($_GET[estado_id]){
		
		}
	if($_SESSION[$_SESSION["CFGURL"]][ssuser_id]){
		//es admin y quiere ver un usuario
  		if(($_GET[user_id])&&($_SESSION[$_SESSION["CFGURL"]][ssuser_nivel]==1)){
		echo doBrowseTermsFromUser($_GET[user_id],$_GET[ord]);
		//no es admin y quiere verse a si mismo
  		}elseif($_GET[user_id]){
		echo doBrowseTermsFromUser($_SESSION[$_SESSION["CFGURL"]][ssuser_id],$_GET[ord]);
		//quiere ver un ao
		}elseif($_GET[y]){
		echo doBrowseTermsFromDate($_GET[m],$_GET[y],$_GET[ord]);
		}else{
		//ver lista agregada
		echo doBrowseTermsByDate();
		}
	}
	;?>
    <!-- ###### Footer ###### -->
    </div>

    <div><div id="footer">  <!-- NB: outer <div> required for correct rendering in IE -->
      <div>
        <strong><?php echo LABEL_Autor ?>: </strong>
        <span class="footerCol2"><?php echo $_SESSION["CFGAutor"];?></span>
      </div>
      <div>
        <strong><?php echo LABEL_URI ?>: </strong>
        <span class="footerCol2"> <?php echo $_SESSION["CFGURL"];?></span>
      </div>
      <div>
        <strong><?php echo LABEL_Version ?>: </strong>
        <span class="footerCol2"><?php echo $_SESSION["CFGVersion"];?></span>
      </div>
    </div></div>
  </body>
</html>