-- phpMyAdmin SQL Dump
-- version 2.8.0.3
-- http://www.phpmyadmin.net
-- 
-- Servidor: localhost
-- Tiempo de generacin: 12-05-2008 a las 21:14:36
-- Versin del servidor: 4.0.23
-- Versin de PHP: 5.2.0-8+etch10
-- 
-- Base de datos: tematres_101`
-- 

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `lc_config`
-- 

CREATE TABLE `lc_config` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `titulo` varchar(255) NOT NULL default '',
  `autor` varchar(255) NOT NULL default '',
  `idioma` char(3) NOT NULL default 'es',
  `cobertura` tinytext,
  `keywords` varchar(255) default NULL,
  `tipo` varchar(100) default NULL,
  `polijerarquia` tinyint(1) NOT NULL default '1',
  `cuando` date NOT NULL default '0000-00-00',
  `observa` text,
  `url_base` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

-- 
-- Volcar la base de datos para la tabla `lc_config`
-- 

INSERT INTO `lc_config` (`id`, `titulo`, `autor`, `idioma`, `cobertura`, `keywords`, `tipo`, `polijerarquia`, `cuando`, `observa`, `url_base`) VALUES (1, 'TemaTres', 'Diego Ferreyra', 'es', 'Tesauro generalista para educacin general bsica argentina. Tesauro de pruebas', 'EDUCACION PRIMARIA; EDUCACION BASICA; EDUCACION INICIAL; TESAUROS DE EDUCACION', 'Tesauro estructurado', 2, '2001-05-23', NULL, 'http://localhost/tematres/'),
(4, 'English TemaTres (target vocabulary example)', 'Tematres', 'en', 'This is an harmonization example', 'harmonizaion', '', 1, '1998-01-01', NULL, 'http://localhost/tematres/');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `lc_indice`
-- 

CREATE TABLE `lc_indice` (
  `tema_id` int(11) NOT NULL default '0',
  `indice` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`tema_id`),
  KEY `indice` (`indice`)
) TYPE=MyISAM COMMENT='indice de temas';

-- 
-- Volcar la base de datos para la tabla `lc_indice`
-- 

INSERT INTO `lc_indice` (`tema_id`, `indice`) VALUES (2, '|1|2'),
(9, '|1|2|9');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `lc_notas`
-- 

CREATE TABLE `lc_notas` (
  `id` int(11) NOT NULL auto_increment,
  `id_tema` int(11) NOT NULL default '0',
  `tipo_nota` char(3) NOT NULL default 'NA',
  `lang_nota` varchar(7) default NULL,
  `nota` mediumtext NOT NULL,
  `cuando` datetime NOT NULL default '0000-00-00 00:00:00',
  `uid` int(5) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id_tema` (`id_tema`),
  KEY `orden_notas` (`tipo_nota`,`lang_nota`)
) TYPE=MyISAM COMMENT='Tabla de notas' AUTO_INCREMENT=3 ;

-- 
-- Volcar la base de datos para la tabla `lc_notas`
-- 

INSERT INTO `lc_notas` (`id`, `id_tema`, `tipo_nota`, `lang_nota`, `nota`, `cuando`, `uid`) VALUES (1, 1, 'NA', 'it', 'exemplo de termino tope<br>', '2008-05-04 10:50:10', 1),
(2, 1, 'NH', 'fr', 'esta sera una nota de alcance en francs<br>', '2008-05-04 15:31:45', 1);

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `lc_tabla_rel`
-- 

CREATE TABLE `lc_tabla_rel` (
  `id_mayor` int(5) NOT NULL default '0',
  `id_menor` int(5) NOT NULL default '0',
  `t_relacion` tinyint(1) unsigned NOT NULL default '0',
  `id` int(9) unsigned NOT NULL auto_increment,
  `uid` int(10) unsigned NOT NULL default '0',
  `cuando` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `NewIndex` (`id_mayor`,`id_menor`),
  KEY `unico` (`t_relacion`),
  KEY `id_menor` (`id_menor`),
  KEY `id_mayor` (`id_mayor`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

-- 
-- Volcar la base de datos para la tabla `lc_tabla_rel`
-- 

INSERT INTO `lc_tabla_rel` (`id_mayor`, `id_menor`, `t_relacion`, `id`, `uid`, `cuando`) VALUES (1, 2, 3, 1, 1, '2007-10-08 14:28:31'),
(2, 3, 2, 2, 1, '2007-10-08 14:29:15'),
(3, 2, 2, 3, 1, '2007-10-08 14:29:15'),
(4, 3, 4, 4, 1, '2007-10-08 14:29:35'),
(5, 1, 6, 5, 1, '2007-10-08 14:31:39'),
(2, 9, 3, 6, 1, '2008-05-04 16:05:45');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `lc_tema`
-- 

CREATE TABLE `lc_tema` (
  `tema_id` int(10) NOT NULL auto_increment,
  `tema` varchar(250) default NULL,
  `tesauro_id` int(5) NOT NULL default '0',
  `uid` tinyint(3) unsigned NOT NULL default '0',
  `cuando` datetime NOT NULL default '0000-00-00 00:00:00',
  `uid_final` int(5) unsigned default NULL,
  `cuando_final` datetime default NULL,
  `estado_id` int(5) NOT NULL default '13',
  `cuando_estado` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`tema_id`),
  KEY `tema` (`tema`),
  KEY `cuando` (`cuando`,`cuando_final`),
  KEY `uid` (`uid`,`uid_final`),
  KEY `tesauro_id` (`tesauro_id`),
  KEY `estado_id` (`estado_id`)
) TYPE=MyISAM AUTO_INCREMENT=10 ;

-- 
-- Volcar la base de datos para la tabla `lc_tema`
-- 

INSERT INTO `lc_tema` (`tema_id`, `tema`, `tesauro_id`, `uid`, `cuando`, `uid_final`, `cuando_final`, `estado_id`, `cuando_estado`) VALUES (1, 'Trmino tope de ejemplo', 1, 1, '2007-10-08 14:28:15', NULL, NULL, 13, '2007-10-08 14:28:15'),
(2, 'Trmino subordinado de ejemplo', 1, 1, '2007-10-08 14:28:31', NULL, NULL, 13, '2007-10-08 14:28:31'),
(3, 'Segundo trmino tope de ejemplo', 1, 1, '2007-10-08 14:28:49', NULL, NULL, 13, '2007-10-08 14:28:49'),
(4, '2do trmino tope de ejemplo', 1, 1, '2007-10-08 14:29:35', NULL, NULL, 13, '2007-10-08 14:29:35'),
(5, 'Top term example', 4, 1, '2007-10-08 14:31:39', NULL, NULL, 13, '2007-10-08 14:31:39'),
(7, 'Trmino rechazado', 1, 3, '2008-04-17 10:34:52', 1, '2008-05-05 08:37:01', 14, '2008-05-05 08:36:33'),
(8, 'Trmino candidato', 1, 1, '2008-04-18 07:29:04', 1, '2008-05-05 08:36:12', 12, '2008-04-18 07:29:04'),
(9, 'Otro trmino subordinado', 1, 1, '2008-05-04 16:05:45', 1, '2008-05-05 08:37:57', 13, '2008-05-04 16:05:45');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `lc_usuario`
-- 

CREATE TABLE `lc_usuario` (
  `APELLIDO` varchar(150) default NULL,
  `NOMBRES` varchar(150) default NULL,
  `uid` int(9) unsigned default NULL,
  `cuando` date default NULL,
  `id` int(11) unsigned NOT NULL auto_increment,
  `mail` varchar(255) default NULL,
  `pass` varchar(50) NOT NULL default '',
  `orga` varchar(255) default NULL,
  `nivel` tinyint(1) unsigned NOT NULL default '2',
  `estado` set('ACTIVO','BAJA') NOT NULL default 'BAJA',
  `hasta` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `mail` (`mail`),
  KEY `pass` (`pass`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

-- 
-- Volcar la base de datos para la tabla `lc_usuario`
-- 

INSERT INTO `lc_usuario` (`APELLIDO`, `NOMBRES`, `uid`, `cuando`, `id`, `mail`, `pass`, `orga`, `nivel`, `estado`, `hasta`) VALUES ('ADMINISTRADOR', 'USUARIO', 1, '0000-00-00', 1, 'admin@r020.com.ar', 'admin', 'TemaTres', 1, 'ACTIVO', '2008-04-19 09:59:27'),
('DEMOSTRACION', 'USUARIO', 1, '2004-04-26', 3, 'info@r020.com.ar', 'demo', 'TemaTres', 2, 'ACTIVO', '2008-04-19 10:05:49');

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `lc_values`
-- 

CREATE TABLE `lc_values` (
  `value_id` int(11) NOT NULL auto_increment,
  `value_type` varchar(10) NOT NULL default '',
  `value` varchar(100) NOT NULL default '',
  `value_order` tinyint(4) default NULL,
  `value_code` varchar(5) default NULL,
  PRIMARY KEY  (`value_id`),
  KEY `value_type` (`value_type`)
) TYPE=MyISAM COMMENT='general values table' AUTO_INCREMENT=15 ;

-- 
-- Volcar la base de datos para la tabla `lc_values`
-- 

INSERT INTO `lc_values` (`value_id`, `value_type`, `value`, `value_order`, `value_code`) VALUES (2, 't_relacion', 'Termino relacionado', NULL, 'TR'),
(3, 't_relacion', 'Trmino superior', NULL, 'TG'),
(4, 't_relacion', 'Usado por', NULL, 'UP'),
(5, 't_relacion', 'Equivalencia parcial', NULL, 'EQ_P'),
(6, 't_relacion', 'Equivalencia total', NULL, 'EQ'),
(7, 't_relacion', 'No equivalencia', NULL, 'EQ_NO'),
(8, 't_nota', 'Nota de alcance', 1, 'NA'),
(9, 't_nota', 'Nota histrica', 2, 'NH'),
(10, 't_nota', 'Nota bibliogrfica', 3, 'NB'),
(11, 't_nota', 'Nota privada', 4, 'NP'),
(1, 't_usuario', 'Admin', NULL, 'admin'),
(12, 't_estado', 'trmino candidato', 1, 'C'),
(13, 't_estado', 'trmino activo', 2, 'A'),
(14, 't_estado', 'trmino rechazado', 3, 'R');
