<?php
#   TemaTres : aplicacin para la gestin de lenguajes documentales #       #
#                                                                        #
#   Copyright (C) 2004-2008 Diego Ferreyra tematres@r020.com.ar
#   Distribuido bajo Licencia GNU Public License, versin 2 (de junio de 1.991) Free Software Foundation
#  
###############################################################################################################
# ARCHIVO DE CONFIGURACION == CONFIG FILE #

$CFG["Version"]        = "TemaTres 1.02";

$CFG["VersionWebService"]        = "0.2 beta";

// Configuarcion de base de datos - Database Configuration

$DBCFG["Server"]      = "localhost";        //  Direccin IP o nombre del servidor - IP Address of the database server
$DBCFG["DBName"]     = "tematres_101";                //  Nombre de la base de datos Database name
$DBCFG["DBLogin"]    = "root";              //  Nombre de usuario - login
$DBCFG["DBPass"] = "";                     //  Password
$DBCFG["DBprefix"] = "lc_";                //  Prefijo para tablas # Prefix for tables


$DBCFG["debugMode"] = "0";                //  modo debug = 1 // debug mode = 1


// ID del Tesauro por DEFAULT
$CFG["DFT_TESA"] ='1';

//Config Sites availables for URL search
$CFG["SEARCH_URL_SITES"] =array("wikipedia","Google exacto","Google scholar","Google images","Google books");

// Maximum level of depth in the tree of items for display on the same page [Mximo nivel de profundidad en el rbol de temas para la visualizacin en una misma pgina]
define('CFG_MAX_TREE_DEEP','3');


// Status details visible for any users [Detalles del estado de terminos visibles para todos los usurios] 0 => no public details / 1 => public details
define('CFG_VIEW_STATUS','1');


// Available Web simple web services (1 = Yes, 0 = No: default: 1)
define('CFG_SIMPLE_WEB_SERVICE','1');


// Idiomas disponibles: cdigo interno => "nombre del idioma","nombre del script de idioma", "cdigo del idioma",cdigo ISO del idioma"
// El primer idioma del array es el que toma como idioma por defecto.

$idiomas_disponibles = array(
     'es'  => array('espaol', 'es-iso-8859-1.inc.php', 'es','es-iso-8859-1'),
     'en'  => array('english', 'en-iso-8859-1.inc.php', 'en','en-iso-8859-1'),
     'fr'  => array('franais','fr-iso-8859-1.inc.php', 'fr','fr-iso-8859-1'),
     'pt'  => array('portugs','pt-iso-8859-1.inc.php', 'pt','ptbr-iso-8859-1'),
     'it'  => array('italiano','it-iso-8859-1.inc.php', 'it','it-iso-8859-1'),
     'nl'  => array('nederlands','nl-iso-8859-1.inc.php', 'nl','nl-iso-8859-1'),
     'de'  => array('deutsch','de-iso-8859-1.inc.php', 'de','de-iso-8859-1')
    );


# Contantes
define("id_TR","2");//Tipo relacion trmino relacionado
define("id_TG","3");//Tipo relacion trmino superior
define("id_UP","4");//Tipo relacion trmino no preferido

define("id_EQ","6");//Tipo relacion trmino equivalente
define("id_EQ_PARCIAL","5");//Tipo relacion trmino equivalente parcialmente
define("id_EQ_NO","7");//Tipo relacion trmino no equivalente
define("id_EQ_INEXACTA","8");//Tipo relacion trmino equivalente inexacta

define("SI","1");
define("NO","2");


 ##
 # Reporte de errores pero no de noticias (variables no inicializadas);
  error_reporting(E_ALL ^ E_NOTICE);
 ##

$CFG["SEARCH_URL_SITES_SINTAX"] = Array(
	'del.icio.us' => Array(
		'favicon' => 'delicious.png',
		'leyenda' => 'del.icio.us',
		'url' => 'http://del.icio.us/search/?fr=del_icio_us&amp;p=STRING_BUSQUEDA&amp;type=all',
		'encode'=>'utf8'
	),

	'e-lis' => Array(
		'favicon' => 'e-lis_mini.png',
		'leyenda' => 'e-lis',
		'url' => 'http://eprints.rclis.org/perl/search/simple?title%2Fabstract%2Fkeywords=STRING_BUSQUEDA&amp;_action_search=Submit&amp;_order=bytitle&amp;title%2Fabstract%2Fkeywords_srchtype=ALL&amp;_satisfyall=ALL',
		'encode'=>'utf8'
	),

	'wikipedia' => Array(
		'favicon' => 'wikipedia_mini.png',
		'leyenda' => 'Wikipedia',
		'url' => 'http://es.wikipedia.org/wiki/Especial:Search?search=STRING_BUSQUEDA&amp;fulltext=Buscar+en+texto',
		'encode'=>FALSE
	),


	'cc' => Array(
		'favicon' => 'cc.png',
		'leyenda' => 'CreativeCommon',
		'url' => 'http://search.creativecommons.org/?q=STRING_BUSQUEDA',
		'encode'=>'utf8'
	),


	'Google exacto' => Array(
		'favicon' => 'google.gif',
		'leyenda' => 'Google b&uacute;squeda exacta',
		'url' => 'http://www.google.com/custom?as_q=&quot;STRING_BUSQUEDA&quot;"',
		'encode'=>FALSE
	),


	'Google' => Array(
		'favicon' => 'google.gif',
		'leyenda' => 'Google',
		'url' => 'http://www.google.com/custom?as_q=STRING_BUSQUEDA"',
		'encode'=>FALSE
	),

	'Google scholar' => Array(
		'favicon' => 'goo_scholar.png',
		'leyenda' => 'Google scholar',
		'url' => 'http://scholar.google.com/scholar?lr=&amp;ie=UTF-8&amp;q=%22STRING_BUSQUEDA%22&btnG=Search&oe=UTF-8',
		'encode'=>TRUE
	),

	'Google images' => Array(
		'favicon' => 'goo_images.png',
		'leyenda' => 'Google images',
		'url' => 'http://images.google.com/images?q=&quot;STRING_BUSQUEDA&quot;',
		'encode'=>TRUE
	),

	'Google books' => Array(
		'favicon' => 'goo_books.gif',
		'leyenda' => 'Google books',
		'url' => 'http://books.google.com/?ie=UTF-8&q=%22STRING_BUSQUEDA%22&btnG=Search',
		'encode'=>TRUE
	)

);

?>
