<?php
#   TemaTres : aplicacin para la gestin de lenguajes documentales #       #
#                                                                        #
#   Copyright (C) 2004-2008 Diego Ferreyra tematres@r020.com.ar
#   Distribuido bajo Licencia GNU Public License, versin 2 (de junio de 1.991) Free Software Foundation
#  
###############################################################################################################
# Abstraccion de funciones de consulta
#


class XMLvocabularyServices {

// Devuelve array de temas relacionados
// array (tema_id, tema,t_relacion_id)
function fetchRelatedTerms($tema_id){

	$sql=SQLverTerminoRelaciones($tema_id);

	while($array=mysql_fetch_array($sql[datos])){
	if($array[t_relacion]=='2'){
		$result["result"][$array[id]]= array(
					"term_id"=>$array[id],
					"string"=>$array[tema],
					"relation_type_id"=>$array[t_relacion]
					);
		};
	}
	return $result;
	}


// Devuelve array de trminos no preferidos 
// array with "use for" or "alternative" or  "non prefered" terms for tema_id
// array (tema_id, tema,t_relacion_id)
function fetchAltTerms($tema_id){

	$sql=SQLverTerminoRelaciones($tema_id);

	while($array=mysql_fetch_array($sql[datos])){
	if($array[t_relacion]=='4'){
		$result["result"][$array[id]]= array(
					"term_id"=>$array[id],
					"string"=>$array[tema],
					"relation_type_id"=>$array[t_relacion]
					);
		};
	}
	return $result;
	}

// Devuelve array de trminos UF,TR y TG directos
// array with non prefered (UF),related and direct TG terms for tema_id
// array (tema_id, string,t_relacion_id)
function fetchDirectTerms($tema_id){

	$sql=SQLterminosDirectos($tema_id);

	while($array=mysql_fetch_array($sql[datos])){
		$result["result"][$array[tema_id]]= array(
					"term_id"=>$array[tema_id],
					"string"=>$array[tema],
					"relation_type_id"=>$array[t_relacion]
					);
		}
	return $result;
	}

// Devuelve lista de temas especificos
// array (tema_id, tema,t_relacion_id, hasMoreDown)
function fetchTermDown($tema_id){

	$sql=SQLverTerminosE($tema_id);

	while($array=mysql_fetch_array($sql[datos])){
		$result["result"][$array[id_tema]]= array(
					"term_id"=>$array[id_tema],
					"string"=>$array[tema],
					"relation_type_id"=>$array[t_relacion],
					"hasMoreDown" => ($array[id_te]) ? 1 : 0
					);
		};
	return $result;
	}


// Devuelve arbol de temas genericos
// array(tema_id,string,relation_type_id,order)
function fetchTermUp($tema_id){

	$sql=SQLarbolTema($tema_id);

/*
Si hay resultados
*/
if($sql[cant]>'0'){
	while($array=mysql_fetch_array($sql[datos])){
		$i=++$i;
		$result["result"][$array[tema_id]]= array(
					"term_id"=>$array[tema_id],
					"string"=>$array[tema],
					"relation_type_id"=>$array[t_relacion],
					"order" => $i
					);
		};
	}
	return $result;
	}


// Devuelve detalles competos de un tema (tema + notas)
// array(tema_id,string,hasMoreUp,term_type,date_create,date_mod,numNotes)
function fetchTermDetailsFull($tema_id){

	$array=ARRAYverDatosTermino($tema_id);

	$result[tema_id]=$array[idTema];
	$result[string]=$array[titTema];
	$result[hasMoreUp]=$array[supraTema];
	$result[term_type]=$array[tipoTema];
	$result[date_create]=$array[cuando];
	$result[date_mod]=$array[cuando_final];
	$result[numNotes]=count($array["notas"]);
	return $result;
	}


// Devuelve detalles de un tema
// array(tema_id,string)
function fetchTermDetailsBrief($tema_id){

	$array=ARRAYverTerminoBasico($tema_id);

	if(is_array($array)){
		$result["result"]["term"][tema_id]=$array[idTema];
		$result["result"]["term"][string]=$array[titTema];
		$result["result"]["term"][date_create]=$array[cuando];
		$result["result"]["term"][date_mod] = ($array[cuando_final]) ?  $array[cuando_final] : $array[cuando];
		}
	return $result;
	}



// Devuelve notas de un tema
// array(tema_id,string,note_id,note_type,note_lang,note_text)
function fetchTermNotes($tema_id){
	$sql=SQLdatosTerminoNotas($tema_id);

	while($array=mysql_fetch_array($sql[datos])){
		$i=++$i;
		$result["result"][$array[nota_id]]= array(
					"term_id"=>$array[tema_id],
					"string"=>$array[tema],
					"note_id"=>$array[nota_id],
					"note_type"=>$array[tipo_nota],
					"note_lang"=>$array[lang_nota],
					"note_text"=>$array[nota]
					);
		};	
	return $result;
	}


// Array de trminos tope
// array(tema_id,string)
function fetchTopTerms($arrayCfg){

	$sql=SQLverTopTerm();

	while($array=mysql_fetch_array($sql[datos])){
		$result["result"][$array[id]]= array(
					"term_id"=>$array[id],
					"string"=>$array[tema]
					);
		};
	return $result;
	}



// Devuelve lista de trminos para una lista separada por comas de tema_id 
// array(tema_id,string)
function fetchTermsByIds($tema_id_list){

	$sql=SQLlistaTema_id($tema_id_list);

	while($array=mysql_fetch_array($sql[datos])){
		$result["result"][$array[tema_id]]= array(
					"term_id"=>$array[tema_id],
					"string"=>$array[tema]
					);
		};
	return $result;
	}



// Devuelve lista de trminos relacionados para una lista separada por comas de tema_id
// array(tema_id,string)
function fetchRelatedTermsByIds($tema_id_list){

	$sql=SQLexpansionTR($tema_id_list);

	while($array=mysql_fetch_array($sql[datos])){
		$result["result"][$array[tema_id]]= array(
					"term_id"=>$array[tema_id],
					"string"=>$array[tema]
					);
		};
	return $result;
	}

// Array de trminos que comienzan con una letra
// array(tema_id,string,no_term_string,relation_type_id)
function fetchTermsByLetter($letter){

	$sql=SQLmenuABC($letter);

	while($array=mysql_fetch_array($sql[datos])){
		$i=++$i;
		$result["result"][$array[id_definitivo]]= array(
					"term_id"=>$array[id_definitivo],
					"string"=>($array[termino_preferido]) ? $array[termino_preferido] : $array[tema],
					"no_term_string"=>($array[termino_preferido]) ? $array[tema] : FALSE ,
					"relation_type_id"=>$array[t_relacion]
					);
		};
	return $result;
	}


// Devuelve lista de trminos para una busqueda
// array(tema_id,string,no_term_string,relation_type_id,array(index),order)
function fetchTermsBySearch($string){

	$sql=SQLbuscaSimple($string);

	while($array=mysql_fetch_array($sql[datos])){
		$i=++$i;
		$arrayIndex=explode('|',$array[indice]);
		$result["result"][$array[id_definitivo]]= array(
					"term_id"=>$array[id_definitivo],
					"string"=>($array[termino_preferido]) ? $array[termino_preferido] : $array[tema],
					"no_term_string"=>($array[termino_preferido]) ? $array[tema] : FALSE ,
					"relation_type_id"=>$array[t_relacion],
	// 				"index"=> (count($arrayIndex)>'1') ? $arrayIndex: array() ,
					"index"=>$array[indice],
					"order" => $i
					);
		};

	return $result;
	}


// Devuelve detalles del vocabularios
//array(vocabulario_id,titulo,autor,idioma,cobertura,keywords,tipo,cuando,url_base,polijerarquia)
function fetchVocabularyData($vocabulary_id){

	$sql=SQLdatosVocabulario($vocabulary_id);
	$array=mysql_fetch_array($sql[datos]);
		$arrayResponse["result"][vocabulary_id]	=$array[vocabulario_id];
		$arrayResponse["result"][title]		=$array[titulo];
		$arrayResponse["result"][author]		=$array[autor];
		$arrayResponse["result"][lang]		=$array[idioma];
		$arrayResponse["result"][scope]		=$array[cobertura];
		$arrayResponse["result"][keywords]	=$array[keywords];
		$arrayResponse["result"][uri]		=$array[url_base];

	return $arrayResponse;
	}



// Desvuelve un array describiendo los servicios
function describeService(){

	GLOBAL $CFG;

	$array['status'] = (CFG_SIMPLE_WEB_SERVICE=='1') ? 'available' : 'disable';

	$array['param'] = array("task","arg");

	$array['web_service_version'] = $CFG["VersionWebService"];

	$array['version'] = $CFG["Version"];

	$array['fetchRelated']['action'] = ' retrive related terms for one ID ';
	$array['fetchRelated']['task'] = 'fetchRelated';
	$array['fetchRelated']['arg'] = 'one ID (int)';
	$array['fetchRelated']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchRelated&arg=1';

	$array['fetchRelated']['action'] = ' retrive alternative/non prefered terms for one ID ';
	$array['fetchRelated']['task'] = 'fetchAlt';
	$array['fetchRelated']['arg'] = 'one ID (int)';
	$array['fetchRelated']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchAlt&arg=1';


	$array['fetchDown']['action'] = ' retrive more specific terms for one ID ';
	$array['fetchDown']['task'] = 'fetchDown';
	$array['fetchDown']['arg'] = 'one ID (int)';
	$array['fetchDown']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchDown&arg=1';

	$array['fetchUp']['action'] = ' retrive hierarquical structure for one ID ';
	$array['fetchUp']['task'] = 'fetchUp';
	$array['fetchUp']['arg'] = 'one ID (int)';
	$array['fetchUp']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchUp&arg=1';

	$array['fetchTerm']['action'] = ' retrive simple term data ';
	$array['fetchTerm']['task'] = 'fetchTerm';
	$array['fetchTerm']['arg'] = 'one ID (int)';
	$array['fetchTerm']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchTerm&arg=1';

	$array['fetchNotes']['action'] = ' retrive notes for one term ';
	$array['fetchNotes']['task'] = 'fetchNotes';
	$array['fetchNotes']['arg'] = 'one ID (int)';
	$array['fetchNotes']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchNotes&arg=1';

	$array['fetchDirectTerms']['action'] = ' retrive alternative, related and direct hieraquical terms for one term_id ';
	$array['fetchDirectTerms']['task'] = 'fetchDirectTerms';
	$array['fetchDirectTerms']['arg'] = 'one ID (int)';
	$array['fetchDirectTerms']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchDirectTerms&arg=1';


	$array['fetchTopTerms']['action'] = ' retrive vocabulary top terms';
	$array['fetchTopTerms']['task'] = 'fetchTopTerms';
	$array['fetchTopTerms']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchTopTerms';

	$array['fetchTerms']['action'] = ' retrive simple term data for some coma separated IDs (example: 3,6,98) ';
	$array['fetchTerms']['task'] = 'fetchTerms';
	$array['fetchTerms']['arg'] = 'some coma separated IDs (for example: arg=3,6,98)';
	$array['fetchTerms']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchTerms&arg=1,2,4';

	$array['fetchRelatedTerms']['action'] = ' retrive simple related term data for some coma separated terms IDs (example: 3,6,98) ';
	$array['fetchRelatedTerms']['task'] = 'fetchRelatedTerms';
	$array['fetchRelatedTerms']['arg'] = 'some coma separated IDs (for example: arg=3,6,98)';
	$array['fetchRelatedTerms']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchRelatedTerms&arg=1,4';

	$array['letter']['action'] = 'Search and retrive terms was beginning with letter $arg';
	$array['letter']['task'] = 'letter';
	$array['letter']['arg'] = 'one letter (for example: arg=a)';
	$array['letter']['example'] = $_SESSION["CFGURL"].'/services.php?task=letter&arg=a';

	$array['search']['action'] = 'Search and retrive terms';
	$array['search']['task'] = 'search';
	$array['search']['arg'] = 'search expresion (string)';
	$array['search']['example'] = $_SESSION["CFGURL"].'/services.php?task=search&arg=peace';

	$array['fetchVocabularyData']['action'] = 'retrive data about vocabulary';
	$array['fetchVocabularyData']['task'] = 'fetchVocabularyData ';
	$array['fetchVocabularyData']['arg'] = '1';
	$array['fetchVocabularyData']['example'] = $_SESSION["CFGURL"].'/services.php?task=fetchVocabularyData';

	return $array;
	}


// fin de la clase
}


#######################################################################



function fetchVocabularyService($task,$arg)
{

$evalParam=evalServiceParam($task,$arg);

/*
Prevents SQL injection
*/
$arg=string2sql($arg);

//Verificar servicio habilitado
if(CFG_SIMPLE_WEB_SERVICE !== "1"){
	$service=new XMLvocabularyServices();
	return array2xml($service-> describeService());

// Controlar parametros

	} elseif(is_array(evalServiceParam($task,$arg))) {
	
	return array2xml($evalParam);

// Los param esta bien
	}else{

	$service=new XMLvocabularyServices();
	switch($_GET[task]){
		case 'search':
		$response = $service-> fetchTermsBySearch($arg);
		break;


		case 'fetchRelated':
		// array (tema_id, tema,t_relacion_id)
		$response = $service-> 	fetchRelatedTerms($arg);
		break;

		case 'fetchAlt':
		// array (tema_id, tema,t_relacion_id)
		$response = $service-> 	fetchAltTerms($arg);
		break;


		case 'fetchDown':
		// Devuelve lista de temas especificos
		// array (tema_id, tema,t_relacion_id, hasMoreDown)
		$response = $service-> fetchTermDown($arg);
		break;


		case 'fetchUp':
		// Devuelve arbol de temas genericos
		// array(tema_id,string,relation_type_id,order)
		$response = $service-> fetchTermUp($arg);
		break;

		case 'fetchTermFull':
		// Devuelve detalles competos de un tema (tema + notas)
		// array(tema_id,string,hasMoreUp,term_type,date_create,date_mod,numNotes)
		break;

		case 'fetchTerm':
		// Devuelve detalles de un tema
		// array(tema_id,string)
		$response = $service-> fetchTermDetailsBrief($arg);
		break;

		case 'fetchNotes':
		// Devuelve notas de un tema
		// array(tema_id,string,note_id,note_type,note_lang,note_text)
		$response = $service-> fetchTermNotes($arg);
		break;

		case 'fetchTopTerms':
		// Array de trminos tope
		// array(tema_id,string)
		$response = $service-> fetchTopTerms($arg);
		break;

		case 'fetchDirectTerms':
		// Array de trminos vinculados directamente con el termino (TG,TR,UF)
		// array(tema_id,string,relation_type_id)
		$response = $service-> fetchDirectTerms($arg);
		break;

		case 'fetchTerms':
		// Devuelve lista de trminos para una lista separada por comas de tema_id 
		// array(tema_id,string)
		$response = $service-> fetchTermsByIds($arg);
		break;

		case 'fetchRelatedTerms':
		// Devuelve lista de trminos relacionados para una lista separada por comas de tema_id
		// array(tema_id,string)
		$response = $service-> fetchRelatedTermsByIds($arg);
		break;

		case 'letter':
		// Array de trminos que comienzan con una letra
		// array(tema_id,string,no_term_string,relation_type_id)
		$response = $service-> fetchTermsByLetter($arg);
		break;


		case 'fetchVocabularyData':
		// Devuelve detalles del vocabularios
		//array(vocabulario_id,titulo,autor,idioma,cobertura,keywords,tipo,cuando,url_base)
		$response = $service-> fetchVocabularyData("1");
		break;

		default:
		$response = $service-> describeService();
		break;
		}


		
	GLOBAL $CFG;

	$arrayResume['status'] = (CFG_SIMPLE_WEB_SERVICE=='1') ? 'available' : 'disable';

	$arrayResume['param'] = array("task"=>$task,"arg"=>$arg);

	$arrayResume['web_service_version'] = $CFG["VersionWebService"];

	$arrayResume['version'] = $CFG["Version"];
			

	$arrayResume["cant_result"] = count($response["result"]);

	$response["resume"] = $arrayResume;


	
	$xml_resume=array2xml($arrayResume, $name='resume', $standalone=FALSE, $beginning=FALSE);
 	
	$xml_response=array2xml($response, $name='terms', $standalone=TRUE, $beginning=FALSE,$nodeChildName='term');
	 	
	return array2xml($response,'vocabularyservices');
	}
}

function evalServiceParam($task,$arg)
{
	
switch($task){
	case 'search':
	$response = ((is_string($arg))&&(strlen($arg)>"0")) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchRelated':
	$response = (is_numeric($arg)) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchAlt':
	$response = (is_numeric($arg)) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchDown':
	$response = (is_numeric($arg)) ? TRUE : array("error"=>"invalid input");
	break;


	case 'fetchUp':
	$response = (is_numeric($arg)) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchTermFull':
	$response = (is_numeric($arg)) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchTerm':
	$response = (is_numeric($arg)) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchDirectTerms':
	$response = (is_numeric($arg)) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchNotes':
	$response = (is_numeric($arg)) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchTopTerms':
	$response = TRUE;
	break;

	case 'fetchTerms':
	$response = (is_array(explode(',',$arg))) ? TRUE : array("error"=>"invalid input");
	break;

	case 'fetchRelatedTerms':
	$response = (is_array(explode(',',$arg))) ? TRUE : array("error"=>"invalid input");
	break;

	case 'letter':
	$response = ((is_string($arg))&&(strlen($arg)==1)) ? TRUE : array("error"=>"invalid input");
 	break;

	default:
	$response =  TRUE ;
	break;
	}

return $response;
}





//////////////////*//////////////////////////*//////////////////////////*//////////////////////////*////////



//////////////////*//////////////////////////*//////////////////////////*//////////////////////////*////////

function array2xml($array, $name='vocabularyservices', $standalone=TRUE, $beginning=TRUE,$nodeChildName='term') {

//GLOBAL $nested;
//$nodeChildName='term';

if ($beginning) {
/*	if ($standalone) header("content-type:text/xml;charset=utf-8");
	$output .= '<'.'?'.'xml version="1.0" encoding="UTF-8"'.'?'.'>';*/
	if ($standalone) header("content-type:text/xml;charset=iso-8859-1");
	$output .= '<'.'?'.'xml version="1.0" encoding="iso-8859-1"'.'?'.'>';
	$output .= '<' . $name . '>';
	$nested = 0;
}
	foreach ($array as $root=>$child) {
    if (is_array($child)) {
      $output .= str_repeat(" ", (2 * $nested)) . '  <' . (is_string($root) ? $root : $nodeChildName) . '>';
      $nested++;
      $output .= array2xml($child,NULL,NULL,FALSE);
      $nested--;
      $output .= str_repeat(" ", (2 * $nested)) . '  </' . (is_string($root) ? $root : $nodeChildName) . '>' ;
    }
    else {
	$output .= str_repeat(" ", (2 * $nested)) . '  <' . (is_string($root) ? $root : $nodeChildName) . '><![CDATA[' . $child . ']]></' . (is_string($root) ? $root : $nodeChildName) . '>';
    }
  }
  
if ($beginning) $output .= '</' . $name . '>';
  
return $output;
}
?>
