<?php
#   TemaTres: open source thesaurus management #       #
#                                                                        #
#   Distribuido bajo Licencia GNU Public License, versin 2 (de junio de 1.991) Free Software Foundation
#   Version 0.97
#
###############################################################################################################
#


define("LANG","nl");

define("TR_acronimo","RT");
define("TE_acronimo","NT");
define("TG_acronimo","BT");
define("UP_acronimo","UF");

define("TR_termino","Gerelateerde term");
define("TE_termino","Nauwere term");
define("TG_termino","Bredere term");
define("UP_termino","Gebruikt voor");
/* v 9.5 */
define("USE_termino","GEBRUIK");

define("MENU_ListaSis","Hirarchische lijst");
define("MENU_ListaAbc","Alfabetische lijst");
define("MENU_Sobre","Over...");
define("MENU_Inicio","Home");

define("MENU_MiCuenta","Mijn account");
define("MENU_Usuarios","Gebruikers");
define("MENU_NuevoUsuario","Nieuwe gebruiker");
define("MENU_DatosTesauro","Over thesaurus");

define("MENU_AgregarT","Voeg term toe");
define("MENU_EditT","Bewerk term");
define("MENU_BorrarT","Verwijder term");
define("MENU_AgregarTG","Rangschik term onder...");
define("MENU_AgregarTE","Ondergeschikte term");
define("MENU_AgregarTR","Gerelateerde term");
define("MENU_AgregarUP","Niet geprefereerde term");

define("MENU_MisDatos","Mijn account");
define("MENU_Caducar","Deactiveer");
define("MENU_Habilitar","Activeer");
define("MENU_Salir","Uitloggen");

define("LABEL_Menu","Menu");
define("LABEL_Opciones","Opties");
define("LABEL_Admin","Administratie");
define("LABEL_Agregar","Voer in");
define("LABEL_editT","Bewerk term ");
define("LABEL_EditorTermino","Term editor");
define("LABEL_Termino","Term");
define("LABEL_NotaAlcance","Scope notitie");
define("LABEL_EliminarTE","Verwijder term");

define("LABEL_AgregarT","Nieuwe term");
define("LABEL_AgregarTG","Voeg bredere term toe aan %s ");
define("LABEL_AgregarTE","Nieuwe term ondergeschikt aan ");
define("LABEL_AgregarUP","Nieuwe UF term voor ");
define("LABEL_AgregarTR","Nieuwe gerelateerde term voor ");
define("LABEL_Detalle","details");

define("LABEL_Autor","Auteur");
define("LABEL_URI","URI");
define("LABEL_Version","Powered by");
define("LABEL_Idioma","Taal");
define("LABEL_Fecha","Aanmaakdatum");
define("LABEL_Keywords","Trefwoorden");
define("LABEL_TipoLenguaje","Taalsoort");
define("LABEL_Cobertura","Scope");
define("LABEL_Terminos","term(en)");
define("LABEL_RelTerminos","relaties tussen termen");
define("LABEL_TerminosUP","niet geprefereerde termen");

define("LABEL_BuscaTermino","Zoekterm");
define("LABEL_Buscar","Zoek");
define("LABEL_Enviar","Voer in");
define("LABEL_Cambiar","Wijzig");
define("LABEL_Anterior","terug");
define("LABEL_AdminUser","Gebruikersadmin");
define("LABEL_DatosUser","Gebruikersdata");
define("LABEL_Acciones","Taken");
define("LABEL_verEsquema","toon schema");
define("LABEL_actualizar","Bijwerken");
define("LABEL_terminosLibres","Vrije termen");
define("LABEL_TotalTerminos","Totaal termen");
define("LABEL_busqueda","Zoek");
define("LABEL_borraRelacion","verwijder relatie");
define("MSG_ResultBusca","term(en) gevonden voor zoekexpressie ");
define("MSG_ResultLetra","Letter");
define("MSG_ResultCambios","wijziging succesvol");
define("MSG_noUser","<p>Geen geregistreerde gebruiker</p>");
define("FORM_JS_check","AUB, controleer de invoer van ");
define("FORM_JS_confirm","deze relatie elimineren?");
define("FORM_JS_pass","_wachtwoord");
define("FORM_JS_confirmPass","_bevestig_wachtwoord");
define("FORM_LABEL_termino","_term");
define("FORM_LABEL_buscar","_zoek_expressie");
define("FORM_LABEL_buscarTermino","_term_gerelateerd");
define("FORM_LABEL_nombre","_naam");
define("FORM_LABEL_apellido","_voornaam");
define("FORM_LABEL_mail","_mail");
define("FORM_LABEL_pass","_wachtwoord");
define("FORM_LABEL_repass","_bevestig_wachtwoord");
define("FORM_LABEL_orga","orga");
define("LABEL_nombre","naam");
define("LABEL_apellido","voornaam");
define("LABEL_mail","mail");
define("LABEL_pass","wachtwoord");
define("LABEL_repass","Bevestig wachtwoord");
define("LABEL_orga","organisatie");

define("LABEL_lcConfig","vocabulaire configuratie");
define("LABEL_lcDatos","vocabulaire metadata");
define("LABEL_Titulo","titel");
define("FORM_LABEL_Titulo","_titel");
define("FORM_LABEL_Autor","_auteur");
define("FORM_LABEL_URI","_URI");
define("FORM_LABEL_Idioma","taal");
define("FORM_LABEL_FechaDia","dag");
define("FORM_LABEL_FechaMes","maand");
define("FORM_LABEL_FechaAno","jaar");
define("FORM_LABEL_Keywords","trefwoord");
define("FORM_LABEL_TipoLenguaje","taal_soort");
define("FORM_LABEL_Cobertura","scope");
define("FORM_LABEL_Terminos","termen");
define("FORM_LABEL_RelTerminos","relatie tussen termen");
define("FORM_LABEL_TerminosUP","niet geprefereerde termen");
define("FORM_LABEL_Guardar","Bewaar");
define("LABEL_verDetalle","zie details uit ");
define("LABEL_verTerminosLetra","zie termen geinitialiseerd met ");

define("LABEL_NB","Bibliografisch notitie");
define("LABEL_NH","Historische notitie");
define("LABEL_NA","Scope notitie");   /* version 0.9.1 */
define("LABEL_NP","Prive notitie"); /* version 0.9.1 */


define("LABEL_EditorNota","Notitie editor ");
define("LABEL_EditorNotaTermino","notitie voor ");
define("LABEL_tipoNota","notitie soort");
define("FORM_LABEL_tipoNota","notitie_soort");
define("LABEL_nota","notitie");
define("FORM_LABEL_nota","_notitie");
define("LABEL_EditarNota","bewerk notitie");
define("LABEL_EliminarNota","Verwijder notitie");

define("LABEL_OptimizarTablas","Optimaliseer tabellen");
define("LABEL_TotalZthesLine","exporteer naar Zthes");

/* v 9.2 */
define("LABEL_negrita","vet");
define("LABEL_italica","italisch");
define("LABEL_subrayado","onderstreepd");
define("LABEL_textarea","Tekstveld notities");
define("MSGL_relacionIlegal","Illegale relatie tussen terms");


/* v 9.3 */
define("LABEL_fecha_modificacion","gewijzigd");
define("LABEL_TotalUsuarios","Totaal gebruikers");
define("LABEL_ordenar","sorteer op");
define("LABEL_auditoria","termenoverzicht");
define("LABEL_dia","dag");
define("LABEL_mes","maand");
define("LABEL_ano","jaar");
define("LABEL_terminosRepetidos","dubbele termen");
define("MSG_noTerminosLibres","er zijn geen vrije termen");
define("MSG_noTerminosRepetidos","er zijn geen dubbele termen");
define("LABEL_TotalSkosLine","exporteer naar Skos-core");

$MONTHS=array("01"=>jan,
              "02"=>feb,
              "03"=>mrt,
              "04"=>apr,
              "05"=>mei,
              "06"=>jun,
              "07"=>jul,
              "08"=>aug,
              "09"=>sep,
              "10"=>okt,
              "11"=>nov,
              "12"=>dec
              );

/* v 9.4 */
define("LABEL_SI","JA");
define("LABEL_NO","NEE");
define("FORM_LABEL_jeraquico","polihirarchisch");
define("LABEL_jeraquico","Polihirarchisch");
define("LABEL_terminoLibre","vrije term");


/* v 9.5 */
define("LABEL_URL_busqueda","Zoek %s in:");

/* v 9.6 */
define("LABEL_relacion_vocabulario","relatie met andere vocabulaires");
define("FORM_LABEL_relacion_vocabulario","equivalentie");
define("FORM_LABEL_nombre_vocabulario","doelvocabulaire");
define("LABEL_vocabulario_referencia","doelvocabulaire");
define("LABEL_NO_vocabulario_referencia","er zijn geen doelvocabulaires voor het leggen van een terminologische relatie");
define("FORM_LABEL_tipo_equivalencia","equivalentie soort");
define("LABEL_vocabulario_principal","vocabulaire");
define("LABEL_tipo_vocabulario","soort");

define("LABEL_termino_equivalente","equivalent");
define("LABEL_termino_parcial_equivalente","gedeeltelijk equivalent");
define("LABEL_termino_no_equivalente","niet equivalent");

define("EQ_acronimo","EQ");
define("EQP_acronimo","EQP");
define("NEQ_acronimo","NEQ");
define("LABEL_NC","Catalogiseerder's notitie");

define("LABEL_resultados_suplementarios","aanvullende resultaten");
define("LABEL_resultados_relacionados","gerelateerde resultaten");

/* v 9.7 */
define("LABEL_export","export");
define("FORM_LABEL_format_export","selecteer XML schema");


/* v 1.0 */
define("LABEL_fecha_creacion","gecreerd");
define("NB_acronimo","BN");
define("NH_acronimo","HN");
define("NA_acronimo","SN");
define("NP_acronimo","PN");
define("NC_acronimo","CN");

define("LABEL_Candidato","kandidaatterm");
define("LABEL_Aceptado","geaccepteerde term");
define("LABEL_Rechazado","verworpen term");
define("LABEL_Ultimos_aceptados","laatste geaccepteerde termen");
define("MSG_ERROR_ESTADO","illegale status");

define("LABEL_Candidatos","kandidaattermen");
define("LABEL_Aceptados","geaccepteerde termen");
define("LABEL_Rechazados","verworpen termen");

define("LABEL_User_NoHabilitado","niet actief");
define("LABEL_User_Habilitado","actief");

// define("LABEL_CandidatearTermino","Candidatear trmino");
define("LABEL_CandidatearTermino","kandideer term");
define("LABEL_AceptarTermino","accepteer term");
define("LABEL_RechazarTermino","verwerp term");


/* v 1.01 */
define("LABEL_TERMINO_SUGERIDO","bedoelt u:");


/* v 1.02 */
define("LABEL_esSuperUsuario","is admin");
define("LABEL_Cancelar","stop");
define("LABEL_Guardar","exporteren");
?>
