#   TemaTres : aplicacin para la gestin de lenguajes documentales #       #
#                                                                        #
#   Copyright (C) 2004-2008 Diego Ferreyra tematres@r020.com.ar
#   Distribuido bajo Licencia GNU Public License, versin 2 (de junio de 1.991) Free Software Foundation
#   Este es el archivo LEAME.TXT
###############################################################################################################


TemaTres se distribuye bajo licencia GNU Public License (GPL==Pblica General de GNU), versin 2 (de junio de 1.991).


#Agregado de campo estado_id y cuando_estado a tabla tema
ALTER TABLE lc_tema ADD estado_id INT( 5 ) NOT NULL DEFAULT '13' AFTER cuando_final ,
ADD cuando_estado DATETIME NOT NULL AFTER estado_id ;

ALTER TABLE lc_tema ADD INDEX ( estado_id ) ;

#Cambio de nombre de campo id por tema_id en tabla tema
ALTER TABLE lc_tema CHANGE id tema_id INT( 10 ) NOT NULL AUTO_INCREMENT ;

#Actualizacion de todos los estados a Aceptado
update lc_tema set estado_id='13' ;

#Actualizacin de time_stamp de estados
update lc_tema set cuando_estado=if(cuando_final is not null,cuando_final,cuando) where cuando_estado is null ;


#Agregado de idioma a notas
ALTER TABLE `lc_notas` ADD `lang_nota` CHAR( 7 ) NULL AFTER `tipo_nota` ;
ALTER TABLE `lc_notas` ADD INDEX `orden_notas` ( `tipo_nota` , `lang_nota` );


#Crear tabla de valores
CREATE TABLE lc_values (
  value_id int(11) NOT NULL auto_increment,
  value_type varchar(10) NOT NULL default '',
  value varchar(100) NOT NULL default '',
  value_order tinyint(4) default NULL,
  value_code varchar(5) default NULL,
  PRIMARY KEY  (value_id),
  KEY value_type (value_type)
) TYPE=MyISAM COMMENT='general values table' AUTO_INCREMENT=15 ;


#Volcar la base de datos para la tabla lc_values
INSERT INTO lc_values (value_id, value_type, value, value_order, value_code) VALUES (2, 't_relacion', 'Termino relacionado', NULL, 'TR'),
(3, 't_relacion', 'Trmino superior', NULL, 'TG'),
(4, 't_relacion', 'Usado por', NULL, 'UP'),
(5, 't_relacion', 'Equivalencia parcial', NULL, 'EQ_P'),
(6, 't_relacion', 'Equivalencia total', NULL, 'EQ'),
(7, 't_relacion', 'No equivalencia', NULL, 'EQ_NO'),
(8, 't_nota', 'Nota de alcance', 1, 'NA'),
(9, 't_nota', 'Nota histrica', 2, 'NH'),
(10, 't_nota', 'Nota bibliogrfica', 3, 'NB'),
(11, 't_nota', 'Nota privada', 4, 'NP'),
(1, 't_usuario', 'Admin', NULL, 'admin'),
(12, 't_estado', 'trmino candidato', 1, 'C'),
(13, 't_estado', 'trmino activo', 2, 'A'),
(14, 't_estado', 'trmino rechazado', 3, 'R');
